# Class Jre12Compat

java.lang.Object
org.apache.tomcat.util.compat.JreCompat
org.apache.tomcat.util.compat.Jre12Compat

Direct Known Subclasses:
  `Jre19Compat`

public class Jre12Compat extends JreCompat

## Field Summary

### Fields inherited from class org.apache.tomcat.util.compat.JreCompat

`canonCachesDisabled, canonCachesDisabledLock, USE_CANON_CACHES_CMD_ARG, useCanonCachesField, useCanonCachesFieldLock`

## Constructor Summary

Constructors
Constructor
Description
`Jre12Compat()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`ensureUseCanonCachesFieldIsPopulated()`
`boolean`
`isCanonCachesDisabled()`

### Methods inherited from class org.apache.tomcat.util.compat.JreCompat

`callAs, createVirtualThreadBuilder, disableCanonCaches, getExecutor, getInstance, getUnixDomainSocketAddress, isGraalAvailable, isJre12Available, isJre16Available, isJre19Available, isJre21Available, isJre22Available, openUnixDomainServerSocketChannel, openUnixDomainSocketChannel, threadBuilderStart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Jre12Compat

public Jre12Compat()

## Method Details

### isCanonCachesDisabled

public boolean isCanonCachesDisabled()

Overrides:
  `isCanonCachesDisabled` in class `JreCompat`

### ensureUseCanonCachesFieldIsPopulated

protected void ensureUseCanonCachesFieldIsPopulated()

Overrides:
  `ensureUseCanonCachesFieldIsPopulated` in class `JreCompat`